package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.TSSDGroupMapper;
import com.sa.ibiz.demo.demo.domain.TSSDGroup;
import com.sa.ibiz.demo.demo.service.TSSDGroupService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.TSSDGroupSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[TSSDGroup] 服务对象接口实现
 */
@Service
public class TSSDGroupServiceImpl extends ServiceImplBase<TSSDGroupMapper, TSSDGroup> implements TSSDGroupService{


    @Resource
    private TSSDGroupMapper tssdgroupMapper;


    @Override
    public boolean create(TSSDGroup et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(TSSDGroup et){
        this.beforeUpdate(et);
		this.tssdgroupMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(TSSDGroup et){
		return et.getTssdgroupid();  
    }

    @Override
    public boolean getDraft(TSSDGroup et)  {
            return true;
    }

	public List<TSSDGroup> listDefault(TSSDGroupSearchFilter filter) {
		return tssdgroupMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<TSSDGroup> searchDefault(TSSDGroupSearchFilter filter) {
		return tssdgroupMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return tssdgroupMapper.selectRow(sql);
    }

 }